/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: Release 1.1 CVS:$Revision: 1.4 $ $Date: 1999/09/10 00:12:32 $
 ** (c) 1999 by Ben Yanbin Zhao and the Regents of the University of California
 **/

package ninja.xset;

/**
 ** Class to encapsulate depth data regarding a subTreap or Treap
 **/
class DepthCounter {
  int nodes;
  int totalDepth;
  
  /**
   ** Standard constructor
   ** @param n number of nodes in the treap
   ** @param t total depth of nodes in the treap
   **/
  DepthCounter (int n, int t) {
    nodes = n;
    totalDepth = t;
  }
}
