/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: Release 1.1 CVS:$Revision: 1.4 $ $Date: 1999/09/10 00:12:33 $
 ** (c) 1999 by Ben Yanbin Zhao and the Regents of the University of California
 **/

package ninja.xset;

import java.io.*;

public class ExtensionFilter implements FilenameFilter {
  private String extension;
  public ExtensionFilter (String ext) {
    extension = "." + ext;
  }
  public boolean accept(File dir, String name) {
    return name.endsWith(extension);
  }
}
